# Import Metadata

Metadata described aggregated metrics that can't be tied to a single person or a company but still include a timestamp. This is what separates it from actions and properties alike.

Most prominent example currently supported is Campaign / Ad data, but this can also include other marketing activity that can be described as such. There are three metrics that can be tracked: spend, clicks, or impressions.

Currently all metadata imports need to be aggregated on a daily basis which means the timestamp is a date only with no second or millisecond granularity (aka datestamp).

## Example Schema

Each row has a timestamp and the combination of campaign, ad group, ad, and UTM information.

<table data-full-width="true"><thead><tr><th width="181.75390625">Column Name</th><th width="165.95703125">Example Value</th><th width="153.34765625">Requirement<select><option value="J7HQWGSO4Dna" label="required" color="blue"></option><option value="RK5EASp0s6Tw" label="recommended" color="blue"></option></select></th><th>Description</th></tr></thead><tbody><tr><td>date</td><td>2025-03-18</td><td><span data-option="J7HQWGSO4Dna">required</span></td><td>The date of the campaign / ad metric</td></tr><tr><td>campaign_name</td><td>SaaStr Booth</td><td><span data-option="J7HQWGSO4Dna">required</span></td><td>Name of your campaign</td></tr><tr><td>network</td><td>Field Marketing</td><td><span data-option="RK5EASp0s6Tw">recommended</span></td><td>Campaign or ad network to group the metrics by (i.e. Google Ads is also an ad network)</td></tr><tr><td>utm_campaign</td><td>saastr-booth-cm</td><td><span data-option="RK5EASp0s6Tw">recommended</span></td><td>Not required, but very helpful when included to be able to connect this to website pageviews</td></tr><tr><td>campaign_id</td><td>19928</td><td><span data-option="RK5EASp0s6Tw">recommended</span></td><td>ID of your campaign</td></tr><tr><td>spend</td><td>45300</td><td></td><td>Numerical value of spend without a currency symbol, or commas</td></tr><tr><td>currency</td><td>USD</td><td></td><td>Recommended if ingesting spend data. Three letter currency code</td></tr><tr><td>impressions</td><td>95380</td><td></td><td>Numerical value of impressions, without commas</td></tr><tr><td>clicks</td><td>3318</td><td></td><td>Numerical value of clicks, without commas</td></tr></tbody></table>

Although `spend`, `impressions` and `clicks` by themselves are not required, it is mandatory to include at least one of them to be able to measure it as metrics.

You can also include additional `account_id`, `adgroup_id`, `adgroup_name`, `ad_id`, and `ad_name` columns if you are importing data from a digital ad platform.

### Caveats and Notes:&#x20;

* The metadata import follows a stricter schema. Unlike Actions or Properties imports, additional columns that do not *specifically* map to columns specified in the schema will be skipped during the import.
* `utm_campaign` column is very helpful for connecting this ad based data to website action based data.
* Spend, impressions, and clicks are the only metrics that can be tracked currently through a metadata import.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hockeystack.com/integrations/datasyncs/configure-a-datasync-import/setting-up-your-data-for-import/import-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
